org.eclipse.oomph.setup

## Interface ProductCatalog

- All Superinterfaces:
    EObject, ModelElement, Notifier, Scope, SetupTaskContainer
  All Known Implementing Classes:
    ProductCatalogImpl

      public interface ProductCatalog
      extends Scope

  A representation of the model object 'Product Catalog'.

  The following features are supported:

  - `Index`
  - `Products`
  See Also:
    `SetupPackage.getProductCatalog()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Index` | `getIndex()` Returns the value of the 'Index' container reference.
    `EList<Product>` | `getProducts()` Returns the value of the 'Products' containment reference list.
    `void` | `setIndex(Index value)` Sets the value of the '`Index`' container reference.

    - ### Methods inherited from interface org.eclipse.oomph.setup.Scope

      `getDescription, getLabel, getName, getParentScope, getQualifiedName, getType, setDescription, setLabel, setName`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTaskContainer

      `getSetupTasks`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getIndex

          Index getIndex()

      Returns the value of the 'Index' container reference. It is bidirectional and its opposite is '`Product Catalogs`'.

      If the meaning of the 'Index' container reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Index' container reference.
      See Also:
        `setIndex(Index)`, `SetupPackage.getProductCatalog_Index()`, `Index.getProductCatalogs()`
      Generated
      Model
        opposite="productCatalogs"

    - #### setIndex

          void setIndex(Index value)

      Sets the value of the '`Index`' container reference.
      Parameters:
        `value` - the new value of the 'Index' container reference.
      See Also:
        `getIndex()`
      Generated

    - #### getProducts

          EList<Product> getProducts()

      Returns the value of the 'Products' containment reference list. The list contents are of type `Product`. It is bidirectional and its opposite is '`Product Catalog`'.

      If the meaning of the 'Products' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Products' containment reference list.
      See Also:
        `SetupPackage.getProductCatalog_Products()`, `Product.getProductCatalog()`
      Generated
      Model
        opposite="productCatalog" containment="true" resolveProxies="true" keys="name" required="true" extendedMetaData="name='product'"

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html